Subject: Re: FW: Why?

From: [email-masked] (Noel Chiappa)
Date: Fri, 11 Mar 2005 09:18:27 -0500 (EST)

> From: "Joel M. Halpern" <[email-masked]>

    > The fact is that external evidence indicates that both premises are
    > false. For a long time we tried ignoring NATs.
    > ...
    > As far as I can tell, following through on the kind of approach
    > discussed here would simply make our products les useful, and
    > reduce actual interoperability in the field.

Nice try to induce a little consideration of empirical evidence, but
you're wasting your breath. The IETF has shown itself startlingly willing
to ignore the real world when it comes to IPv6.

I mean, it's now coming up on *11 years* since IPv6 was selected (i.e.
back when the latest and greatest uSoft-ware was *Windows 3.1*, and the
WWW had a grand total of about 3K sites), and still we hear the "oh, it
will take off soon" - the same line we've been hearing for close to a
decade.

Alas, rationality won't return until we get to the point where saying the
phrase "IPv6 will succeed" to a room-full of networking people gets a total
belly-laugh from all of them. But that is not too far off, now, I think...

You need think of IPv6 as sort of a Ponzi scheme - it only keeps working
as long as there are new suckers out there, ones who aren't clued in yet,
who are gullible enough to buy into it. The latest crop seem to be in
China, etc, but there aren't too many backwaters left to sell the
snake-oil to,

	Noel

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Fri, 11 Mar 2005 09:01:35 -0600

I don't agree. Every new technology take some time to reach a critical mass.
This is absolutely normal, and I guess proportional to the complexity and
innovation capability, training phase, etc.

In some other regions, there is real deployment, read services and real
applications already working. Those missing that may be are starting to miss
part of their business.

Regards,
Jordi

> De: Noel Chiappa <[email-masked]>
> Responder a: <[email-masked]>
> Fecha: Fri, 11 Mar 2005 09:18:27 -0500 (EST)
> Para: "[email-masked]" <[email-masked]>, <[email-masked]>
> CC: <[email-masked]>
> Asunto: Re: FW: Why?
>

---

From: Kevin Loch <[email-masked]>
Date: Fri, 11 Mar 2005 16:09:50 -0500

> will take off soon" - the same line we've been hearing for close to a

That is to be expected.

As you know, the value of a network is roughly proportional to
the square of the participants.  Since adoption is influenced
by the value of the network it can take quite a long time to
acquire "take off",  whatever that is.  Is it just an
arbitrary point along the geometric growth curve or is it some
milestone like native access being widely available to the
average home?

It took a very long time to get native IPv4 connectivity to the
average home. Even as late as 1993, long after IPv4 had taken off
in academic circles it was difficult (expensive) to get native 
connectivity, even dialup. At that time dialup shell/terminal
server access was more common but severely limited as it is
non-native. Native IPv4 wasn't widely available to the average home
user until about 1995.

So given the decades it took for IPv4 to be commonly available why
do we expect an accelerated deployment for IPv6?  Leveraging the
existing IPv4 infrastructure does help deployment but that alone does
not affect the value or desire to deploy.  Just as government subsidies
helped deployment of IPv4 but did not directly affect the value or
desire to deploy.

I hear the exact same excuses for not adopting IPv6 as I heard for IPv4
in the early 1990's:

"I have no reason to connect"
and/or
"I can't justify the cost"

The solution to both problems is n^2.

If you really want to jump start n^2, find a way to convince
the RIR's to require demonstration of IPv6 deployment for subsequent
(non initial) IPv4 allocations.

Kevin Loch

---

From: Steve Crocker <[email-masked]>
Date: Fri, 11 Mar 2005 16:44:52 -0500

Kevin Loch wrote:

> the square of the participants.

Or maybe not. See Andrew Odlyzko's paper, _A refutation of Metcalfe’s 
Law, 
<http://www.dtc.umn.edu/%7Eodlyzko/doc/metcalfe.pdf>_www.dtc.umn.edu/~odlyzko/doc/metcalfe.pdf

Steve

---

From: "JFC (Jefsey) Morfin" <[email-masked]>
Date: Fri, 11 Mar 2005 22:41:57 +0100

At 22:09 11/03/2005, Kevin Loch wrote:
>If you really want to jump start n^2, find a way to convince the RIR's to 
>require demonstration of IPv6 deployment for subsequent (non initial) IPv4 
>allocations.

I fear that we overlook a point you make here: "RIRs require 
demonstration". I suppose that if you had to desmonstrate you need a mobile 
or a phone number, the expansion of the telephone network and then of 
mobiles would have been slower.

Has someone compared the IPv6, IPv4, telephone and mobile number/address 
allocation figures? It takes me 10 minutes in a supermarket to get an 
operational mobile. The only thing it misses nowaday is an IP address. May 
be you will recall that in 2000 the telephone industry had asked for 2 IP 
blocks and ICANN responded (in July/Aug?) they could use the "virtual NAT" 
which is HTTP.1.1.
jfc

---

From: "Tom Petch" <[email-masked]>
Date: Mon, 14 Mar 2005 10:46:40 +0100

inline
Tom Petch

From: "Kevin Loch" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Friday, March 11, 2005 10:09 PM
Subject: Re: FW: Why?

> the square of the participants.

The value of a network can depend on what is on it, not how many or who.  One
useful (http/ftp/...) server can make a network worth accessing, worth paying
for.  Even if there was noone else on this Internet, even if I never wanted to
e-mail anyone or anything, there are servers worth paying to access.

I saw the Internet explode in the 1990s because of web servers, not because n**2
people could now talk to each other, so I think this a general point..

By contrast, IPv6, like 3G mobile, has nothing worth getting access to; they are
just bits of technology with no applications worth accessing.  Have a look at
models of the adoption of technology.

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Mon, 14 Mar 2005 14:22:59 +0100

This may be interesting if you want to take a look at models of adoption of
technology.

http://www.ist-ipv6.org/modules.php?op=modload&name=News&file=article&sid=62
9

Regards,
Jordi

> De: Tom Petch <[email-masked]>
> Responder a: Tom Petch <[email-masked]>
> Fecha: Mon, 14 Mar 2005 10:46:40 +0100
> Para: Kevin Loch <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Asunto: Re: FW: Why?
> 
> inline
> Tom Petch
>